Skip to main content
GET
/
api
/
v1
/
supplier-payments
Listar pagos a proveedores
curl --request GET \
  --url https://api.lapyme.com.ar/api/v1/supplier-payments \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_date": "<string>",
      "amount": 0,
      "balance": 0,
      "formatted_payment_number": "<string>",
      "currency": "PES",
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "icon": "<string>"
      },
      "payment_method_count": 0,
      "related_entity": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "number": "<string>"
      },
      "created_by": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_at_cursor": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "purchase_count": 0
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "object": "list",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Query Parameters

cursor
string

Valor de next_cursor recibido en la respuesta anterior

limit
integer
default:50

Cantidad máxima de resultados por respuesta

Required range: 1 <= x <= 100
query
string

Texto de búsqueda por proveedor, número de pago o método de pago

status
enum<string>
default:active

Estado del pago

Available options:
active,
voided,
all
date_from
string<date>

Fecha inicial en formato YYYY-MM-DD

date_to
string<date>

Fecha final en formato YYYY-MM-DD

Response

Pagos obtenidos exitosamente

request_id
string
required
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
object
enum<string>
required

List-envelope discriminator.

Available options:
list
url
string
required

Requested list path.